package com.realnet.taxi_rental.Services;
import com.realnet.taxi_rental.Repository.Custom_settingRepository;
import com.realnet.taxi_rental.Entity.Custom_setting
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


















	import org.springframework.stereotype.Service;

@Service
 public class Custom_settingService {
@Autowired
private Custom_settingRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

















public Custom_setting Savedata(Custom_setting data) {


















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Custom_setting save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Custom_setting> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Custom_setting> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Custom_setting> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Custom_setting getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Custom_setting update(Custom_setting data,Integer id) {
	Custom_setting old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.getActive());

old.setYound_driver_surcharge(data.getYound_driver_surcharge());

old.setFree_km(data.getFree_km());

old.setExtra_km_charge(data.getExtra_km_charge());

old.setGst_rate(data.getGst_rate());

old.setPst_rate(data.getPst_rate());

old.setAge_threshold(data.getAge_threshold());

final Custom_setting test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
